#include <unistd.h>  
#include <stdio.h>  
#include <fcntl.h>  
#include <linux/fb.h>  
#include <sys/mman.h>  
#include <stdlib.h>  
#include <string.h>

#define RED    0xF800
#define YELLOW    0xFFE0
#define BLUE     0x001F
#define WHITE    0xFFFF 
#define BLACK    0x0000



int main ()   
{  
	int fp=0;  
	struct fb_var_screeninfo vinfo;  
	int i;
	int pix_size=0;
	unsigned char color1, color2;

	fp = open("/dev/fb0", O_RDWR);  

	if(fp < 0) {  
		printf("Error : Can not open framebuffer device/n");  
		exit(1);  
	}  

	if(ioctl(fp, FBIOGET_VSCREENINFO, &vinfo)){  
		printf("Error reading variable information/n");  
		exit(3);  
	}  


	pix_size = vinfo.xres * vinfo.yres;
	color1 = 0;
	color2 = 0xf8;
	for(i=0; i<pix_size; i++) {
		write(fp, &color1, 1);
		write(fp, &color2, 1);        
	}
	close (fp);
	return 0;
}
